> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onset.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete incoming webhook

> Delete an incoming webhook by its ID



## OpenAPI

````yaml https://api.onset.io/v1/openapi.yml delete /incoming-webhooks/{id}
openapi: 3.1.0
info:
  title: Onset API
  description: >-
    RESTful API for managing milestones, releases, subscribers, and webhooks in
    Onset workspace.
  version: 1.0.0
  contact:
    name: Onset Support
    url: https://www.onset.io
    email: support@onset.io
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.onset.io/v1
    description: API V1
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: Workspace
    description: Workspace management operations
  - name: Milestones
    description: Milestone management operations
  - name: Releases
    description: Release management operations
  - name: Subscribers
    description: Subscriber management operations
  - name: Webhooks
    description: Webhook management operations
  - name: Incoming Webhooks
    description: Incoming webhook management operations
paths:
  /incoming-webhooks/{id}:
    delete:
      tags:
        - Incoming Webhooks
      summary: Delete incoming webhook
      description: Delete an incoming webhook by its ID
      parameters:
        - name: id
          in: path
          required: true
          description: Incoming webhook ID
          schema:
            type: string
      responses:
        '200':
          description: Incoming webhook deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  responses:
    Unauthorized:
      description: Unauthorized - Invalid or missing authentication
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFound:
      description: Not found - Resource does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Error message
        details:
          type: object
          description: Additional error details
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````